# -*- coding: utf-8 -*-
from __future__ import annotations

from django.http import HttpRequest

from hotpocket_backend.apps.core.conf import settings


def hotpocket_oidc(request: HttpRequest) -> dict:
    return {
        'HOTPOCKET_OIDC_IS_ENABLED': settings.SECRETS.OIDC.is_enabled,
        'HOTPOCKET_OIDC_DISPLAY_NAME': settings.SECRETS.OIDC.display_name,
    }


def auth_settings(request: HttpRequest) -> dict:
    return {
        'MODEL_AUTH_IS_DISABLED': settings.MODEL_AUTH_IS_DISABLED,
    }
